GNU bug report logs - #36345
Font and other Issues/Bugs in Guix System

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Freddy Reimer <freddyreimer@HIDDEN>; dated Sun, 23 Jun 2019 19:23:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36345 <at> debbugs.gnu.org:


Received: (at 36345) by debbugs.gnu.org; 16 Aug 2019 21:32:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 17:32:18 2019
Received: from localhost ([127.0.0.1]:55083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyjpZ-0007m3-C8
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 17:32:17 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:33199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cbertram@HIDDEN>) id 1hyiAH-00072C-H9
 for 36345 <at> debbugs.gnu.org; Fri, 16 Aug 2019 15:45:34 -0400
Date: Fri, 16 Aug 2019 19:45:21 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1565984725;
 bh=pU/eD47ZCBXLZjt23OHG6oFQ9dlaouWpcOfgEfa7I4A=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=lie7WjFcapnYvjYF2kJCkchY1ho6Jjk5J+LnLUZMaNWCdaSEV5Tbce2jtUtN5oSRj
 R/r7yNYv4jK704oZH/9S7aL9PDah4tL3s4xTvXDXranqC4rrJOwnP1DfwDE6p+S05D
 Vhil+IfYAyJF7nc2qqwKXuxQ8v118VICjVAdNM54=
To: "36345 <at> debbugs.gnu.org" <36345 <at> debbugs.gnu.org>
From: Christian Bertram <cbertram@HIDDEN>
Subject: Font and other Issues/Bugs in Guix System
Message-ID: <n5S6rsWTIjllVt7oZgOTEd0nrb98Z0I24zNtrGBJ3Ik6vrcf4xkooMweQgNWSH-hebCKGxfty1tvER0ti7zBDV9PZ9OCRmeKi8NvwfSTi34=@protonmail.com>
Feedback-ID: DosMRZzt4PjsIxItlKULPVR5nPY1K5uBnxefjRQxB1bsQImHKYDUsIc2KLCNxwINSE1uV_126hER3kXMLrYsHQ==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36345
X-Mailman-Approved-At: Fri, 16 Aug 2019 17:32:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Christian Bertram <cbertram@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I have the same issue with numbers in IceCat.

I have tested both inside and outside a VM and with Gnome, XFCE,
Enlightenment and EXWM.  It seems, if I don't have

(service gnome-desktop-service-type)

in my config, numbers in IceCat are shown as long spaces.  I don't have
the problem, even when using XFCE, as long as that line is in my config.

I hope this can help someone find the problem. Thanks.


--
Christian Bertram






Information forwarded to bug-guix@HIDDEN:
bug#36345; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2019 19:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 15:22:40 2019
Received: from localhost ([127.0.0.1]:54663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hf84U-0006qR-NO
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 15:22:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:42156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <freddyreimer@HIDDEN>) id 1hf7k4-0006Di-Ct
 for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 15:01:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34837)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <freddyreimer@HIDDEN>) id 1hf7k3-0001RP-AP
 for bug-guix@HIDDEN; Sun, 23 Jun 2019 15:01:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <freddyreimer@HIDDEN>) id 1hf7k2-0007Tz-5c
 for bug-guix@HIDDEN; Sun, 23 Jun 2019 15:01:31 -0400
Received: from resqmta-ch2-12v.sys.comcast.net
 ([2001:558:fe21:29:69:252:207:44]:51536)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <freddyreimer@HIDDEN>)
 id 1hf7k1-0007RK-SU
 for bug-guix@HIDDEN; Sun, 23 Jun 2019 15:01:30 -0400
Received: from resomta-ch2-20v.sys.comcast.net ([69.252.207.116])
 by resqmta-ch2-12v.sys.comcast.net with ESMTP
 id f7gAhVGqtfwuCf7jzhrDDB; Sun, 23 Jun 2019 19:01:27 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=comcast.net;
 s=20190202a; t=1561316487;
 bh=FkZvaDej6kQup0ibe/6V1pZChN2DoKKKIm/AawjJWgs=;
 h=Received:Received:To:From:Subject:Message-ID:Date:MIME-Version:
 Content-Type;
 b=cQP79ktHFNrrCVKoPSvRfnhdfeVdh+hF9mQOTM2ufzsffM5pzlPhDdxqjXYhybelk
 rIM8U8BSXedp3DBAukN7Ky4AEdmum+z1R6H9CUpLSS8tiBd2AOyKh0ek778Nu/Wv+B
 yDmEvEx3xg5xb8Ce0+raiPTrcmCgbVRf7mXOyVrbo7LTCg43tN/yX5H4Ce+YTPzWL5
 iTxKjlTX2rqEb3CLIQjU3xZBl/LIpdVJ+3Qs5UHDmnzSWJrpDuN+3uk8R6MbpSuxwq
 eS/tCRdGh5N/KTUuRcvV804Uw/PHshbrx9Ygse3Bms9huYyVjlZACld9nFeAPk/lS1
 uoCux4Lzo21mg==
Received: from MyMac.local ([76.108.158.127])
 by resomta-ch2-20v.sys.comcast.net with ESMTPSA
 id f7jxhE199QQzZf7jzhk0du; Sun, 23 Jun 2019 19:01:27 +0000
X-Xfinity-VAAS: gggruggvucftvghtrhhoucdtuddrgeduvddruddtgddufeekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuvehomhgtrghsthdqtfgvshhipdfqfgfvpdfpqffurfetoffkrfenuceurghilhhouhhtmecufedttdenucenucfjughrpefvhffukffffgggtgfgsehtjeertddtfeejnecuhfhrohhmpefhrhgvugguhicutfgvihhmvghruceofhhrvgguugihrhgvihhmvghrsegtohhmtggrshhtrdhnvghtqeenucfkphepjeeirddutdekrdduheekrdduvdejnecurfgrrhgrmhephhgvlhhopefohiforggtrdhlohgtrghlpdhinhgvthepjeeirddutdekrdduheekrdduvdejpdhmrghilhhfrhhomhepfhhrvgguugihrhgvihhmvghrsegtohhmtggrshhtrdhnvghtpdhrtghpthhtohepsghughdqghhuihigsehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Xfinity-VMeta: sc=0;st=legit
To: bug-guix@HIDDEN
From: Freddy Reimer <freddyreimer@HIDDEN>
Subject: Font and other Issues/Bugs in Guix System
Message-ID: <1f64167d-d13e-3253-6ca1-d692c02767dc@HIDDEN>
Date: Sun, 23 Jun 2019 15:01:25 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.7.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:558:fe21:29:69:252:207:44
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 23 Jun 2019 15:22:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

I have been trying out guix in a VM, and would like to report a few bugs 
I've run into.

Context: I installed using the graphical installation tool and chose i3 
as my desktop. I installed all my packages through the config file. I 
kept it pretty much default, aside from installing things like 
terminals, browsers, the liberation and bitstream vera fonts, mpv, and 
youtube-dl.

The first of these issues, and one I managed to get by on my own, was my 
terminal freaking out when I first installed one. Each time I made a new 
terminal, it would create a new line and an indented prompt on that line 
for all existing terminal windows. Left and right arrow keys would 
recreate the whole prompt to the right of the current one. Backspace 
would remove characters from the buffer, but it would visually create 
spaces as if I had pressed spacebar. I fixed this by rebooting and it 
hasn't had this problem again, but when it was happening it would occur 
on both rxvt-unicode and termite. TTYs were unaffected, and this was 
only on X terminals.

The second issue is that icecat doesn't display numbers. In the address 
bar and on most sites, numbers will fail to render and will be replaced 
by a large space. I did inspect element and looked at the fonts, and it 
listed " ojiOne Mozilla" and said that it was a local font. Looking into 
the preferences, this was revealed to be EmojiOne Mozilla, which was for 
some reason enabled for all latin fonts. I switched them all to 
something reasonable like serif or sans-serif, but my numbers were still 
missing. The option to use site-provided fonts instead was selected, and 
I disabled all the privacy checkboxes on the new tab screen. I did not 
add this font to my config.scm. Not sure whether this is the fault of 
Icecat or Guix, but I'm currently sidestepping it by using 
Ungoogled-Chromium, which isn't having these problems.

Virtualization was done in virt-manager on an Xubuntu host.






Acknowledgement sent to Freddy Reimer <freddyreimer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36345; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Aug 2019 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.